shopify-cli create rails fail with System call failed: rails new --skip-spring --database=sqlite3

GoodfyLabs
Explorer
58 0 7

Hey Experts

using Shopify-clli 1.8 in an environment with ruby 3.0 and rails 6.0.2

when trying to scaffold a Rails Shopify App I always get this error :

 

/Users/william/.rbenv/versions/3.0.0/lib/ruby/gems/3.0.0/gems/activesupport-6.0.2.1/lib/active_support/messages/metadata.rb:17:in `wrap': wrong number of arguments (given 2, expected 1) (ArgumentError)

I have tried both sqlite and Postgres as database and got same error.

 

Any ideia ?

Best Regards 

William Alencar
GoodFy Labs
Brazilian Shopify Experts
Getting Satisfied Customers around the World
Skype : william.br1
0 Likes
policenauts
Trailblazer
170 8 29

Probably best to create this as a github issue in the shopify-cli repo, you'll likely get a better response there.

GoodfyLabs
Explorer
58 0 7

Hey , @policenauts 

very good idea ... 

I will do that

 

Best Regard 

William Alencar
GoodFy Labs
Brazilian Shopify Experts
Getting Satisfied Customers around the World
Skype : william.br1
0 Likes